summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--include/lib.sh8
-rw-r--r--include/vendor.sh8
2 files changed, 8 insertions, 8 deletions
diff --git a/include/lib.sh b/include/lib.sh
index fc26c733..d5607c61 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -29,14 +29,6 @@ mktarball()
x_ tar -c "$1" | xz -T$XBMK_THREADS -9e > "$2" || err "mktarball2, $1"
}
-mksha512sum()
-{
- (
- [ "${1%/*}" != "$1" ] && x_ cd "${1%/*}"
- sha512sum ./"${1##*/}" >> "$2" || err "!sha512sum \"$1\" > \"$2\""
- ) || err "failed to create tarball checksum"
-}
-
rmgit()
{
fx_ "x_ rm -Rf" x_ find "$1" -name ".git"
diff --git a/include/vendor.sh b/include/vendor.sh
index 4374277a..73f2592c 100644
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -277,6 +277,14 @@ prep()
x_ rm -f "$_xrom"
}
+mksha512sum()
+{
+ (
+ [ "${1%/*}" != "$1" ] && x_ cd "${1%/*}"
+ sha512sum ./"${1##*/}" >> "$2" || err "!sha512sum \"$1\" > \"$2\""
+ ) || err "failed to create tarball checksum"
+}
+
add_vfiles()
{
rom="$1"